.authentication-link-popup .authentication-dropdown.modal-custom { position:fixed; width:auto; top:50%; left:50%; transform:translate(-50%, -50%); }
.authentication-link-popup .authentication-dropdown.modal-custom .modal-header { border:0; padding:2px; }
.authentication-link-popup .authentication-dropdown.modal-custom .modal-header .action-close { margin:10px; }

.block-sms-login-intro { padding:30px; background-color:#f7f7f7; }
.block-sms-login-intro .block-title { font-size:128.571%;  text-transform:uppercase; color:#333; border-bottom:1px solid #e8e8e8; padding-bottom:10px; margin-bottom:15px; }
.block-sms-login-intro .block-title strong { font-weight:500; }

.sms-overlay { background-color:rgba(0, 0, 0, 0.4); z-index:5 !important; }

.authrequest-container { position:relative; max-width:500px; padding:10px 0; text-align:center; }
#authrequest .step, #authrequest .actions-step { display:none; }
#authrequest .step.active, #authrequest .actions-step.active { display:block; }
#authrequest { font-size:14px; }
#authrequest .mage-error { text-align:left; }
#authrequest ul { list-style:none; padding:0; }
#authrequest .intro { margin:5px 0 15px; }
#authrequest .intro .intro-title { display:block; font-weight:bold; margin-bottom:15px; font-size:18px; }
#authrequest label { display:none; }
#authrequest input { padding:5px; border-radius:4px; border:1px solid #ccc; font-size:18px; }
#authrequest input:disabled { background-color:rgb(191 191 191 / 30%); }
#authrequest .loading { display:none; position:absolute; top:0; left:0; width:100%; height:100%; z-index:1; background-color:rgb(250,250,250,90%); }
#authrequest .loading span { position:absolute; top:50%; left:50%; transform:translate(-50%, -50%); font-size:24px; font-weight:bold; }
#authrequest .loading img { width:auto; vertical-align:middle; position:relative; top:-4px; }
#authrequest .step2 .code-input input { display:inline-block; width:30px; font-size:24px; text-align:center; }
#authrequest .step2 .no-receive { font-size:10px; margin:15px 0; }
#authrequest .step2 .no-receive a { text-decoration:underline; font-style:italic; }
#authrequest .step2 .no-receive .resend-msg { display:none; }
#authrequest .step2 .no-receive .resend-msg.success { color:#028b02; }
#authrequest .step2 .no-receive .resend-msg.error { color:#cd0000; }
#authrequest .step2 .no-receive button { background-color:#fff; color:#4C5869; padding:0; text-transform:none; margin-left:2px; vertical-align:baseline; }
#authrequest .actions button { float:none; display:inline-block; font-weight:bold; }
#authrequest .actions button.btn-green { background-color:#80B801; }
#authrequest .actions-step2 button { margin:0 20px; }
#authrequest .result-msg { display:none; margin:0 0 10px; background-color:#ffe8e8; color:#cd0000; padding:5px; }

@media only screen and (max-width: 480px) {
    #authrequest .actions .actions-step2 button { margin:5px 0; }
}